class Class1:               #Объявление класса
	def zad_zn(self,znach): #Метод 1 класса1 – задание значения data
		self.data=znach # self - ссылка на экземпляр класса
	def otobrazh(self):     # Метод 2 класса1
		print(self.data)#Отображение данных экземпляра класса

z1=Class1()   #Создаём 1-й экземпляр класса
z2=Class1()   #Создаём 2-й экземпляр класса

z1.zad_zn('экз.класса 1')  #Обращение к методу класса у 1-го экз.
z2.zad_zn(-632.453)         #Обращение к методу класса у 2-го экз.

z1.data='Новое значение атрибута у экз.1'
class Class2(Class1):  #Class2 - наследник класса Class1
	def otobrazh(self):     # Метод  класса Class2 – переопределяет метод родителя
		print('значение=',self.data)#Отображение данных экземпляра

z3=Class2()
print(dir(z3))
z3.zad_zn('Совсем новое')
z3.otobrazh()
z1.otobrazh()
del z1,z2,z3
print('После удаления:',dir())